#include <Adafruit_CircuitPlayground.h>
#include <PulseSensorPlayground.h>

#define PULSE_PIN A4

PulseSensorPlayground pulseSensor;

int LED = A3;

void setup() {
  Serial.begin(115200);
  CircuitPlayground.begin();

  pinMode(LED, OUTPUT);

  pulseSensor.analogInput(PULSE_PIN);
  pulseSensor.setThreshold(20);
  pulseSensor.begin();
}

void loop() {
  int myBPM = pulseSensor.getBeatsPerMinute();

  if (pulseSensor.sawStartOfBeat()) {
    Serial.println(myBPM);

    //normal heart rate
    if (myBPM >= 60 && myBPM < 100) {
      digitalWrite(LED, HIGH);
      delay(myBPM + 4000);
      digitalWrite(LED, LOW);
      delay(myBPM + 4500);
    }
    //fast heart rate
    else if (myBPM >= 100) {
      digitalWrite(LED, HIGH);
      delay(myBPM + 6000);
      digitalWrite(LED, LOW);
      delay(myBPM + 6500);
    }
    //lower heart rate
    else {
      digitalWrite(LED, HIGH);
      delay(myBPM + 3500);
      digitalWrite(LED, LOW);
      delay(myBPM + 4000);
    }
    
  }
}